Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to build ffmpeg from source so I can add libx264 support, but sudo apt-get build-dep ffmpeg gives me:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Picking 'libav' as source package instead of 'ffmpeg'
The following packages have unmet dependencies:
 libjack-dev : Depends: libjack0 (= 1:0.121.0+svn4538-3ubuntu1) but it is not going to be installed
E: Build-dependencies for ffmpeg could not be satisfied.
share|improve this question

2 Answers 2

up vote 3 down vote accepted

Just install the package libjack-jackd2-dev. It will provide the missing lib, and then you will be able to install the others through apt-get build-dep ffmpeg.

share|improve this answer

That message means that Ubuntu uses the libav derivative of ffmpeg. Please make sure you get the source from the Ubuntu repos too:

apt-get source ffmpeg

or

apt-get source libav

And then build-dependencies it should pull in the necessary dependencies. If you are building ffmpeg source downloaded directly from their server, just try building it and resolve dependency problems as they occur.

Here's what I get when installing the deps on 12.04 (works fine):

$ sudo apt-get build-dep ffmpeg
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Picking 'libav' as source package instead of 'ffmpeg'
The following packages will be REMOVED:
  libjack-jackd2-0
The following NEW packages will be installed:
  debhelper dh-apparmor doxygen html2text libasound2-dev libavahi-client-dev
  libavahi-common-dev libbz2-dev libcaca-dev libdbus-1-dev libdc1394-22
  libdc1394-22-dev libdrm-dev libfreetype6-dev libgif-dev libgif4
  libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev libgsm1 libgsm1-dev
  libice-dev libid3tag0 libimlib2 libimlib2-dev libjack-dev libjack0
  libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev libkms1 libltdl-dev
  libncurses5-dev libogg-dev liborc-0.4-dev libpcre3-dev libpcrecpp0
  libpng12-dev libpthread-stubs0 libpthread-stubs0-dev libpulse-dev
  libraw1394-dev libschroedinger-1.0-0 libschroedinger-dev libsdl1.2-dev
  libslang2-dev libsm-dev libspeex-dev libtheora-dev libtiff4-dev libtiffxx0c2
  libtinfo-dev libva-dev libva-egl1 libva-glx1 libva-tpi1 libva-x11-1 libva1
  libvdpau-dev libvdpau1 libvorbis-dev libvpx-dev libvpx1 libx11-dev
  libxau-dev libxcb1-dev libxdmcp-dev libxext-dev libxfixes-dev libxt-dev
  libxv-dev libxvmc-dev mesa-common-dev texi2html x11proto-core-dev
  x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-video-dev
  x11proto-xext-dev xorg-sgml-doctools xtrans-dev yasm zlib1g-dev
0 upgraded, 84 newly installed, 1 to remove and 0 not upgraded.
Need to get 18.7 MB of archives.
After this operation, 70.5 MB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://archive.ubuntu.com/ubuntu/ precise/main libjack0 amd64 1:0.121.0+svn4538-3ubuntu1 [42.7 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ precise/main libgif4 amd64 4.1.6-9ubuntu1 [31.0 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ precise/main libkms1 amd64 2.4.32-1ubuntu1 [9,098 B]
Get:4 http://archive.ubuntu.com/ubuntu/ precise/main libpcrecpp0 amd64 8.12-4 [16.2 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ precise-updates/main libtiffxx0c2 amd64 3.9.5-2ubuntu1.2 [6,528 B]
Get:6 http://archive.ubuntu.com/ubuntu/ precise/main libva1 amd64 1.0.15-4 [38.7 kB]
Get:7 http://archive.ubuntu.com/ubuntu/ precise/main libva-egl1 amd64 1.0.15-4 [4,726 B]
Get:8 http://archive.ubuntu.com/ubuntu/ precise/main libva-x11-1 amd64 1.0.15-4 [16.1 kB]
Get:9 http://archive.ubuntu.com/ubuntu/ precise/main libva-glx1 amd64 1.0.15-4 [10.9 kB]
Get:10 http://archive.ubuntu.com/ubuntu/ precise/main libva-tpi1 amd64 1.0.15-4 [5,430 B]
Get:11 http://archive.ubuntu.com/ubuntu/ precise/main libvdpau1 amd64 0.4.1-3ubuntu1 [30.1 kB]
Get:12 http://archive.ubuntu.com/ubuntu/ precise/main libdc1394-22 amd64 2.2.0-2 [89.5 kB]
Get:13 http://archive.ubuntu.com/ubuntu/ precise/main html2text amd64 1.3.2a-15 [104 kB]
Get:14 http://archive.ubuntu.com/ubuntu/ precise-updates/main dh-apparmor all 2.7.102-0ubuntu3.1 [9,546 B]
Get:15 http://archive.ubuntu.com/ubuntu/ precise/main debhelper all 9.20120115ubuntu3 [616 kB]
Get:16 http://archive.ubuntu.com/ubuntu/ precise/main doxygen amd64 1.7.6.1-2ubuntu1 [2,427 kB]
Get:17 http://archive.ubuntu.com/ubuntu/ precise-updates/main libasound2-dev amd64 1.0.25-1ubuntu10.1 [71.3 kB]
Get:18 http://archive.ubuntu.com/ubuntu/ precise/main libavahi-common-dev amd64 0.6.30-5ubuntu2 [44.4 kB]
Get:19 http://archive.ubuntu.com/ubuntu/ precise/main libdbus-1-dev amd64 1.4.18-1ubuntu1 [211 kB]
Get:20 http://archive.ubuntu.com/ubuntu/ precise/main libavahi-client-dev amd64 0.6.30-5ubuntu2 [38.8 kB]
Get:21 http://archive.ubuntu.com/ubuntu/ precise/main libbz2-dev amd64 1.0.6-1 [32.4 kB]
Get:22 http://archive.ubuntu.com/ubuntu/ precise/main libtinfo-dev amd64 5.9-4 [103 kB]
Get:23 http://archive.ubuntu.com/ubuntu/ precise/main libncurses5-dev amd64 5.9-4 [222 kB]
Get:24 http://archive.ubuntu.com/ubuntu/ precise/main zlib1g-dev amd64 1:1.2.3.4.dfsg-3ubuntu4 [165 kB]
Get:25 http://archive.ubuntu.com/ubuntu/ precise/main libpng12-dev amd64 1.2.46-3ubuntu4 [207 kB]
Get:26 http://archive.ubuntu.com/ubuntu/ precise/main libslang2-dev amd64 2.2.4-3ubuntu1 [560 kB]
Get:27 http://archive.ubuntu.com/ubuntu/ precise/main libcaca-dev amd64 0.99.beta17-2.1ubuntu2 [840 kB]
Get:28 http://archive.ubuntu.com/ubuntu/ precise/main libdrm-dev amd64 2.4.32-1ubuntu1 [182 kB]
Get:29 http://archive.ubuntu.com/ubuntu/ precise/main libfreetype6-dev amd64 2.4.8-1ubuntu2 [794 kB]
Get:30 http://archive.ubuntu.com/ubuntu/ precise/main libgif-dev amd64 4.1.6-9ubuntu1 [23.6 kB]
Get:31 http://archive.ubuntu.com/ubuntu/ precise/main libpcre3-dev amd64 8.12-4 [232 kB]
Get:32 http://archive.ubuntu.com/ubuntu/ precise-updates/main libglib2.0-dev amd64 2.32.3-0ubuntu1 [1,811 kB]
Get:33 http://archive.ubuntu.com/ubuntu/ precise/main xorg-sgml-doctools all 1:1.10-1 [12.0 kB]                                            
Get:34 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-core-dev all 7.0.22-1 [299 kB]                                              
Get:35 http://archive.ubuntu.com/ubuntu/ precise/main libxau-dev amd64 1:1.0.6-4 [10.5 kB]                                                 
Get:36 http://archive.ubuntu.com/ubuntu/ precise/main libxdmcp-dev amd64 1:1.1.0-4 [26.9 kB]                                               
Get:37 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-input-dev all 2.1.99.6-1 [133 kB]                                           
Get:38 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-kb-dev all 1.0.5-2 [27.6 kB]                                                
Get:39 http://archive.ubuntu.com/ubuntu/ precise/main xtrans-dev all 1.2.6-2 [82.9 kB]                                                     
Get:40 http://archive.ubuntu.com/ubuntu/ precise/main libpthread-stubs0 amd64 0.3-3 [3,258 B]                                              
Get:41 http://archive.ubuntu.com/ubuntu/ precise/main libpthread-stubs0-dev amd64 0.3-3 [2,866 B]                                          
Get:42 http://archive.ubuntu.com/ubuntu/ precise/main libxcb1-dev amd64 1.8.1-1 [81.6 kB]                                                  
Get:43 http://archive.ubuntu.com/ubuntu/ precise/main libx11-dev amd64 2:1.4.99.1-0ubuntu2 [908 kB]                                        
Get:44 http://archive.ubuntu.com/ubuntu/ precise-updates/main mesa-common-dev amd64 8.0.2-0ubuntu3.1 [242 kB]                              
Get:45 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-xext-dev all 7.2.0-3 [253 kB]                                               
Get:46 http://archive.ubuntu.com/ubuntu/ precise/main libxext-dev amd64 2:1.3.0-3build1 [159 kB]                                           
Get:47 http://archive.ubuntu.com/ubuntu/ precise-updates/main libgl1-mesa-dev amd64 8.0.2-0ubuntu3.1 [4,990 B]                             
Get:48 http://archive.ubuntu.com/ubuntu/ precise-updates/main libglu1-mesa-dev amd64 8.0.2-0ubuntu3.1 [196 kB]                             
Get:49 http://archive.ubuntu.com/ubuntu/ precise/main libgsm1 amd64 1.0.13-3 [29.3 kB]                                                     
Get:50 http://archive.ubuntu.com/ubuntu/ precise/main libgsm1-dev amd64 1.0.13-3 [35.3 kB]                                                 
Get:51 http://archive.ubuntu.com/ubuntu/ precise/main libice-dev amd64 2:1.0.7-2build1 [133 kB]                                            
Get:52 http://archive.ubuntu.com/ubuntu/ precise/main libid3tag0 amd64 0.15.1b-10build2 [39.6 kB]                                          
Get:53 http://archive.ubuntu.com/ubuntu/ precise/main libimlib2 amd64 1.4.4-1build1 [208 kB]                                               
Get:54 http://archive.ubuntu.com/ubuntu/ precise-updates/main libjpeg-turbo8-dev amd64 1.1.90+svn733-0ubuntu4.1 [391 kB]                   
Get:55 http://archive.ubuntu.com/ubuntu/ precise/main libjpeg8-dev amd64 8c-2ubuntu7 [1,544 B]                                             
Get:56 http://archive.ubuntu.com/ubuntu/ precise/main libjpeg-dev all 8c-2ubuntu7 [1,536 B]                                                
Get:57 http://archive.ubuntu.com/ubuntu/ precise-updates/main libtiff4-dev amd64 3.9.5-2ubuntu1.2 [278 kB]                                 
Get:58 http://archive.ubuntu.com/ubuntu/ precise/main libltdl-dev amd64 2.4.2-1ubuntu1 [202 kB]                                            
Get:59 http://archive.ubuntu.com/ubuntu/ precise/main libimlib2-dev amd64 1.4.4-1build1 [206 kB]                                           
Get:60 http://archive.ubuntu.com/ubuntu/ precise/main libjack-dev amd64 1:0.121.0+svn4538-3ubuntu1 [339 kB]                                
Get:61 http://archive.ubuntu.com/ubuntu/ precise/main libogg-dev amd64 1.2.2~dfsg-1ubuntu1 [66.4 kB]                                       
Get:62 http://archive.ubuntu.com/ubuntu/ precise/main liborc-0.4-dev amd64 1:0.4.16-1ubuntu2 [261 kB]                                      
Get:63 http://archive.ubuntu.com/ubuntu/ precise-updates/main libpulse-dev amd64 1:1.1-0ubuntu15.1 [80.9 kB]                               
Get:64 http://archive.ubuntu.com/ubuntu/ precise/main libraw1394-dev amd64 2.0.7-1ubuntu1 [39.7 kB]                                        
Get:65 http://archive.ubuntu.com/ubuntu/ precise/main libschroedinger-1.0-0 amd64 1.0.11-1 [287 kB]                                        
Get:66 http://archive.ubuntu.com/ubuntu/ precise/main libschroedinger-dev amd64 1.0.11-1 [339 kB]                                          
Get:67 http://archive.ubuntu.com/ubuntu/ precise/main libsm-dev amd64 2:1.2.0-2build1 [89.5 kB]                                            
Get:68 http://archive.ubuntu.com/ubuntu/ precise/main libxt-dev amd64 1:1.1.1-2build1 [490 kB]                                             
Get:69 http://archive.ubuntu.com/ubuntu/ precise/main libsdl1.2-dev amd64 1.2.14-6.4ubuntu3 [834 kB]                                       
Get:70 http://archive.ubuntu.com/ubuntu/ precise/main libspeex-dev amd64 1.2~rc1-3ubuntu2 [77.6 kB]                                        
Get:71 http://archive.ubuntu.com/ubuntu/ precise/main libtheora-dev amd64 1.1.1+dfsg.1-3ubuntu2 [415 kB]                                   
Get:72 http://archive.ubuntu.com/ubuntu/ precise/main libva-dev amd64 1.0.15-4 [30.0 kB]                                                   
Get:73 http://archive.ubuntu.com/ubuntu/ precise/main libvdpau-dev amd64 0.4.1-3ubuntu1 [38.3 kB]                                          
Get:74 http://archive.ubuntu.com/ubuntu/ precise/main libvorbis-dev amd64 1.3.2-1ubuntu3 [472 kB]                                          
Get:75 http://archive.ubuntu.com/ubuntu/ precise/main libvpx1 amd64 1.0.0-1 [269 kB]                                                       
Get:76 http://archive.ubuntu.com/ubuntu/ precise/main libvpx-dev amd64 1.0.0-1 [349 kB]                                                    
Get:77 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-fixes-dev all 1:5.0-2ubuntu1 [15.5 kB]                                      
Get:78 http://archive.ubuntu.com/ubuntu/ precise/main libxfixes-dev amd64 1:5.0-4ubuntu4 [13.0 kB]                                         
Get:79 http://archive.ubuntu.com/ubuntu/ precise/main x11proto-video-dev all 2.3.1-2 [17.0 kB]                                             
Get:80 http://archive.ubuntu.com/ubuntu/ precise/main libxv-dev amd64 2:1.0.6-2build1 [35.3 kB]                                            
Get:81 http://archive.ubuntu.com/ubuntu/ precise/main libxvmc-dev amd64 2:1.0.6-1ubuntu2 [25.4 kB]                                         
Get:82 http://archive.ubuntu.com/ubuntu/ precise/main texi2html all 1.82-1ubuntu1 [401 kB]                                                 
Get:83 http://archive.ubuntu.com/ubuntu/ precise/main yasm amd64 1.1.0-1 [634 kB]                                                          
Get:84 http://archive.ubuntu.com/ubuntu/ precise/main libdc1394-22-dev amd64 2.2.0-2 [135 kB]                                              
Fetched 18.7 MB in 12s (1,470 kB/s)                                                                                                         
Extracting templates from packages: 100%
dpkg: libjack-jackd2-0: dependency problems, but removing anyway as you requested:
 gstreamer0.10-plugins-good depends on libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116; however:
  Package libjack-jackd2-0 is to be removed.
  Package libjack-0.116 is not installed.
  Package libjack-jackd2-0 which provides libjack-0.116 is to be removed.
 libportaudio2 depends on libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116; however:
  Package libjack-jackd2-0 is to be removed.
  Package libjack-0.116 is not installed.
  Package libjack-jackd2-0 which provides libjack-0.116 is to be removed.
 libasound2-plugins depends on libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116; however:
  Package libjack-jackd2-0 is to be removed.
  Package libjack-0.116 is not installed.
  Package libjack-jackd2-0 which provides libjack-0.116 is to be removed.
 gstreamer0.10-plugins-good depends on libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116; however:
  Package libjack-jackd2-0 is to be removed.
  Package libjack-0.116 is not installed.
  Package libjack-jackd2-0 which provides libjack-0.116 is to be removed.
 libportaudio2 depends on libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116; however:
  Package libjack-jackd2-0 is to be removed.
  Package libjack-0.116 is not installed.
  Package libjack-jackd2-0 which provides libjack-0.116 is to be removed.
 libasound2-plugins depends on libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack-0.116; however:
  Package libjack-jackd2-0 is to be removed.
  Package libjack-0.116 is not installed.
  Package libjack-jackd2-0 which provides libjack-0.116 is to be removed.
(Reading database ... 150419 files and directories currently installed.)
Removing libjack-jackd2-0 ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Selecting previously unselected package libjack0.
(Reading database ... 150410 files and directories currently installed.)
Unpacking libjack0 (from .../libjack0_1%3a0.121.0+svn4538-3ubuntu1_amd64.deb) ...
Setting up libjack0 (1:0.121.0+svn4538-3ubuntu1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Selecting previously unselected package libgif4.
(Reading database ... 150419 files and directories currently installed.)
Unpacking libgif4 (from .../libgif4_4.1.6-9ubuntu1_amd64.deb) ...
Selecting previously unselected package libkms1.
Unpacking libkms1 (from .../libkms1_2.4.32-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libpcrecpp0.
Unpacking libpcrecpp0 (from .../libpcrecpp0_8.12-4_amd64.deb) ...
Selecting previously unselected package libtiffxx0c2.
Unpacking libtiffxx0c2 (from .../libtiffxx0c2_3.9.5-2ubuntu1.2_amd64.deb) ...
Selecting previously unselected package libva1.
Unpacking libva1 (from .../libva1_1.0.15-4_amd64.deb) ...
Selecting previously unselected package libva-egl1.
Unpacking libva-egl1 (from .../libva-egl1_1.0.15-4_amd64.deb) ...
Selecting previously unselected package libva-x11-1.
Unpacking libva-x11-1 (from .../libva-x11-1_1.0.15-4_amd64.deb) ...
Selecting previously unselected package libva-glx1.
Unpacking libva-glx1 (from .../libva-glx1_1.0.15-4_amd64.deb) ...
Selecting previously unselected package libva-tpi1.
Unpacking libva-tpi1 (from .../libva-tpi1_1.0.15-4_amd64.deb) ...
Selecting previously unselected package libvdpau1.
Unpacking libvdpau1 (from .../libvdpau1_0.4.1-3ubuntu1_amd64.deb) ...
Selecting previously unselected package libdc1394-22.
Unpacking libdc1394-22 (from .../libdc1394-22_2.2.0-2_amd64.deb) ...
Selecting previously unselected package html2text.
Unpacking html2text (from .../html2text_1.3.2a-15_amd64.deb) ...
Selecting previously unselected package dh-apparmor.
Unpacking dh-apparmor (from .../dh-apparmor_2.7.102-0ubuntu3.1_all.deb) ...
Selecting previously unselected package debhelper.
Unpacking debhelper (from .../debhelper_9.20120115ubuntu3_all.deb) ...
Selecting previously unselected package doxygen.
Unpacking doxygen (from .../doxygen_1.7.6.1-2ubuntu1_amd64.deb) ...
Selecting previously unselected package libasound2-dev.
Unpacking libasound2-dev (from .../libasound2-dev_1.0.25-1ubuntu10.1_amd64.deb) ...
Selecting previously unselected package libavahi-common-dev.
Unpacking libavahi-common-dev (from .../libavahi-common-dev_0.6.30-5ubuntu2_amd64.deb) ...
Selecting previously unselected package libdbus-1-dev.
Unpacking libdbus-1-dev (from .../libdbus-1-dev_1.4.18-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libavahi-client-dev.
Unpacking libavahi-client-dev (from .../libavahi-client-dev_0.6.30-5ubuntu2_amd64.deb) ...
Selecting previously unselected package libbz2-dev.
Unpacking libbz2-dev (from .../libbz2-dev_1.0.6-1_amd64.deb) ...
Selecting previously unselected package libtinfo-dev.
Unpacking libtinfo-dev (from .../libtinfo-dev_5.9-4_amd64.deb) ...
Selecting previously unselected package libncurses5-dev.
Unpacking libncurses5-dev (from .../libncurses5-dev_5.9-4_amd64.deb) ...
Selecting previously unselected package zlib1g-dev.
Unpacking zlib1g-dev (from .../zlib1g-dev_1%3a1.2.3.4.dfsg-3ubuntu4_amd64.deb) ...
Selecting previously unselected package libpng12-dev.
Unpacking libpng12-dev (from .../libpng12-dev_1.2.46-3ubuntu4_amd64.deb) ...
Selecting previously unselected package libslang2-dev.
Unpacking libslang2-dev (from .../libslang2-dev_2.2.4-3ubuntu1_amd64.deb) ...
Selecting previously unselected package libcaca-dev.
Unpacking libcaca-dev (from .../libcaca-dev_0.99.beta17-2.1ubuntu2_amd64.deb) ...
Selecting previously unselected package libdrm-dev.
Unpacking libdrm-dev (from .../libdrm-dev_2.4.32-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libfreetype6-dev.
Unpacking libfreetype6-dev (from .../libfreetype6-dev_2.4.8-1ubuntu2_amd64.deb) ...
Selecting previously unselected package libgif-dev.
Unpacking libgif-dev (from .../libgif-dev_4.1.6-9ubuntu1_amd64.deb) ...
Selecting previously unselected package libpcre3-dev.
Unpacking libpcre3-dev (from .../libpcre3-dev_8.12-4_amd64.deb) ...
Selecting previously unselected package libglib2.0-dev.
Unpacking libglib2.0-dev (from .../libglib2.0-dev_2.32.3-0ubuntu1_amd64.deb) ...
Selecting previously unselected package xorg-sgml-doctools.
Unpacking xorg-sgml-doctools (from .../xorg-sgml-doctools_1%3a1.10-1_all.deb) ...
Selecting previously unselected package x11proto-core-dev.
Unpacking x11proto-core-dev (from .../x11proto-core-dev_7.0.22-1_all.deb) ...
Selecting previously unselected package libxau-dev.
Unpacking libxau-dev (from .../libxau-dev_1%3a1.0.6-4_amd64.deb) ...
Selecting previously unselected package libxdmcp-dev.
Unpacking libxdmcp-dev (from .../libxdmcp-dev_1%3a1.1.0-4_amd64.deb) ...
Selecting previously unselected package x11proto-input-dev.
Unpacking x11proto-input-dev (from .../x11proto-input-dev_2.1.99.6-1_all.deb) ...
Selecting previously unselected package x11proto-kb-dev.
Unpacking x11proto-kb-dev (from .../x11proto-kb-dev_1.0.5-2_all.deb) ...
Selecting previously unselected package xtrans-dev.
Unpacking xtrans-dev (from .../xtrans-dev_1.2.6-2_all.deb) ...
Selecting previously unselected package libpthread-stubs0.
Unpacking libpthread-stubs0 (from .../libpthread-stubs0_0.3-3_amd64.deb) ...
Selecting previously unselected package libpthread-stubs0-dev.
Unpacking libpthread-stubs0-dev (from .../libpthread-stubs0-dev_0.3-3_amd64.deb) ...
Selecting previously unselected package libxcb1-dev.
Unpacking libxcb1-dev (from .../libxcb1-dev_1.8.1-1_amd64.deb) ...
Selecting previously unselected package libx11-dev.
Unpacking libx11-dev (from .../libx11-dev_2%3a1.4.99.1-0ubuntu2_amd64.deb) ...
Selecting previously unselected package mesa-common-dev.
Unpacking mesa-common-dev (from .../mesa-common-dev_8.0.2-0ubuntu3.1_amd64.deb) ...
Selecting previously unselected package x11proto-xext-dev.
Unpacking x11proto-xext-dev (from .../x11proto-xext-dev_7.2.0-3_all.deb) ...
Selecting previously unselected package libxext-dev.
Unpacking libxext-dev (from .../libxext-dev_2%3a1.3.0-3build1_amd64.deb) ...
Selecting previously unselected package libgl1-mesa-dev.
Unpacking libgl1-mesa-dev (from .../libgl1-mesa-dev_8.0.2-0ubuntu3.1_amd64.deb) ...
Selecting previously unselected package libglu1-mesa-dev.
Unpacking libglu1-mesa-dev (from .../libglu1-mesa-dev_8.0.2-0ubuntu3.1_amd64.deb) ...
Selecting previously unselected package libgsm1.
Unpacking libgsm1 (from .../libgsm1_1.0.13-3_amd64.deb) ...
Selecting previously unselected package libgsm1-dev.
Unpacking libgsm1-dev (from .../libgsm1-dev_1.0.13-3_amd64.deb) ...
Selecting previously unselected package libice-dev.
Unpacking libice-dev (from .../libice-dev_2%3a1.0.7-2build1_amd64.deb) ...
Selecting previously unselected package libid3tag0.
Unpacking libid3tag0 (from .../libid3tag0_0.15.1b-10build2_amd64.deb) ...
Selecting previously unselected package libimlib2.
Unpacking libimlib2 (from .../libimlib2_1.4.4-1build1_amd64.deb) ...
Selecting previously unselected package libjpeg-turbo8-dev.
Unpacking libjpeg-turbo8-dev (from .../libjpeg-turbo8-dev_1.1.90+svn733-0ubuntu4.1_amd64.deb) ...
Selecting previously unselected package libjpeg8-dev.
Unpacking libjpeg8-dev (from .../libjpeg8-dev_8c-2ubuntu7_amd64.deb) ...
Selecting previously unselected package libjpeg-dev.
Unpacking libjpeg-dev (from .../libjpeg-dev_8c-2ubuntu7_all.deb) ...
Selecting previously unselected package libtiff4-dev.
Unpacking libtiff4-dev (from .../libtiff4-dev_3.9.5-2ubuntu1.2_amd64.deb) ...
Selecting previously unselected package libltdl-dev.
Unpacking libltdl-dev (from .../libltdl-dev_2.4.2-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libimlib2-dev.
Unpacking libimlib2-dev (from .../libimlib2-dev_1.4.4-1build1_amd64.deb) ...
Selecting previously unselected package libjack-dev.
Unpacking libjack-dev (from .../libjack-dev_1%3a0.121.0+svn4538-3ubuntu1_amd64.deb) ...
Selecting previously unselected package libogg-dev.
Unpacking libogg-dev (from .../libogg-dev_1.2.2~dfsg-1ubuntu1_amd64.deb) ...
Selecting previously unselected package liborc-0.4-dev.
Unpacking liborc-0.4-dev (from .../liborc-0.4-dev_1%3a0.4.16-1ubuntu2_amd64.deb) ...
Selecting previously unselected package libpulse-dev.
Unpacking libpulse-dev (from .../libpulse-dev_1%3a1.1-0ubuntu15.1_amd64.deb) ...
Selecting previously unselected package libraw1394-dev.
Unpacking libraw1394-dev (from .../libraw1394-dev_2.0.7-1ubuntu1_amd64.deb) ...
Selecting previously unselected package libschroedinger-1.0-0.
Unpacking libschroedinger-1.0-0 (from .../libschroedinger-1.0-0_1.0.11-1_amd64.deb) ...
Selecting previously unselected package libschroedinger-dev.
Unpacking libschroedinger-dev (from .../libschroedinger-dev_1.0.11-1_amd64.deb) ...
Selecting previously unselected package libsm-dev.
Unpacking libsm-dev (from .../libsm-dev_2%3a1.2.0-2build1_amd64.deb) ...
Selecting previously unselected package libxt-dev.
Unpacking libxt-dev (from .../libxt-dev_1%3a1.1.1-2build1_amd64.deb) ...
Selecting previously unselected package libsdl1.2-dev.
Unpacking libsdl1.2-dev (from .../libsdl1.2-dev_1.2.14-6.4ubuntu3_amd64.deb) ...
Selecting previously unselected package libspeex-dev.
Unpacking libspeex-dev (from .../libspeex-dev_1.2~rc1-3ubuntu2_amd64.deb) ...
Selecting previously unselected package libtheora-dev.
Unpacking libtheora-dev (from .../libtheora-dev_1.1.1+dfsg.1-3ubuntu2_amd64.deb) ...
Selecting previously unselected package libva-dev.
Unpacking libva-dev (from .../libva-dev_1.0.15-4_amd64.deb) ...
Selecting previously unselected package libvdpau-dev.
Unpacking libvdpau-dev (from .../libvdpau-dev_0.4.1-3ubuntu1_amd64.deb) ...
Selecting previously unselected package libvorbis-dev.
Unpacking libvorbis-dev (from .../libvorbis-dev_1.3.2-1ubuntu3_amd64.deb) ...
Selecting previously unselected package libvpx1.
Unpacking libvpx1 (from .../libvpx1_1.0.0-1_amd64.deb) ...
Selecting previously unselected package libvpx-dev.
Unpacking libvpx-dev (from .../libvpx-dev_1.0.0-1_amd64.deb) ...
Selecting previously unselected package x11proto-fixes-dev.
Unpacking x11proto-fixes-dev (from .../x11proto-fixes-dev_1%3a5.0-2ubuntu1_all.deb) ...
Selecting previously unselected package libxfixes-dev.
Unpacking libxfixes-dev (from .../libxfixes-dev_1%3a5.0-4ubuntu4_amd64.deb) ...
Selecting previously unselected package x11proto-video-dev.
Unpacking x11proto-video-dev (from .../x11proto-video-dev_2.3.1-2_all.deb) ...
Selecting previously unselected package libxv-dev.
Unpacking libxv-dev (from .../libxv-dev_2%3a1.0.6-2build1_amd64.deb) ...
Selecting previously unselected package libxvmc-dev.
Unpacking libxvmc-dev (from .../libxvmc-dev_2%3a1.0.6-1ubuntu2_amd64.deb) ...
Selecting previously unselected package texi2html.
Unpacking texi2html (from .../texi2html_1.82-1ubuntu1_all.deb) ...
Selecting previously unselected package yasm.
Unpacking yasm (from .../yasm_1.1.0-1_amd64.deb) ...
Selecting previously unselected package libdc1394-22-dev.
Unpacking libdc1394-22-dev (from .../libdc1394-22-dev_2.2.0-2_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 6 added doc-base files...
Registering documents with scrollkeeper...
Processing triggers for libglib2.0-0 ...
Processing triggers for install-info ...
Setting up libgif4 (4.1.6-9ubuntu1) ...
Setting up libkms1 (2.4.32-1ubuntu1) ...
Setting up libpcrecpp0 (8.12-4) ...
Setting up libtiffxx0c2 (3.9.5-2ubuntu1.2) ...
Setting up libva1 (1.0.15-4) ...
Setting up libva-egl1 (1.0.15-4) ...
Setting up libva-x11-1 (1.0.15-4) ...
Setting up libva-glx1 (1.0.15-4) ...
Setting up libva-tpi1 (1.0.15-4) ...
Setting up libvdpau1 (0.4.1-3ubuntu1) ...
Setting up libdc1394-22 (2.2.0-2) ...
Setting up html2text (1.3.2a-15) ...
Setting up dh-apparmor (2.7.102-0ubuntu3.1) ...
Setting up debhelper (9.20120115ubuntu3) ...
Setting up doxygen (1.7.6.1-2ubuntu1) ...
Setting up libasound2-dev (1.0.25-1ubuntu10.1) ...
Setting up libavahi-common-dev (0.6.30-5ubuntu2) ...
Setting up libdbus-1-dev (1.4.18-1ubuntu1) ...
Setting up libavahi-client-dev (0.6.30-5ubuntu2) ...
Setting up libbz2-dev (1.0.6-1) ...
Setting up libtinfo-dev (5.9-4) ...
Setting up libncurses5-dev (5.9-4) ...
Setting up zlib1g-dev (1:1.2.3.4.dfsg-3ubuntu4) ...
Setting up libpng12-dev (1.2.46-3ubuntu4) ...
Setting up libslang2-dev (2.2.4-3ubuntu1) ...
Setting up libcaca-dev (0.99.beta17-2.1ubuntu2) ...
Setting up libdrm-dev (2.4.32-1ubuntu1) ...
Setting up libfreetype6-dev (2.4.8-1ubuntu2) ...
Setting up libgif-dev (4.1.6-9ubuntu1) ...
Setting up libpcre3-dev (8.12-4) ...
Setting up libglib2.0-dev (2.32.3-0ubuntu1) ...
Setting up xorg-sgml-doctools (1:1.10-1) ...
Setting up x11proto-core-dev (7.0.22-1) ...
Setting up libxau-dev (1:1.0.6-4) ...
Setting up libxdmcp-dev (1:1.1.0-4) ...
Setting up x11proto-input-dev (2.1.99.6-1) ...
Setting up x11proto-kb-dev (1.0.5-2) ...
Setting up xtrans-dev (1.2.6-2) ...
Setting up libpthread-stubs0 (0.3-3) ...
Setting up libpthread-stubs0-dev (0.3-3) ...
Setting up libxcb1-dev (1.8.1-1) ...
Setting up libx11-dev (2:1.4.99.1-0ubuntu2) ...
Setting up mesa-common-dev (8.0.2-0ubuntu3.1) ...
Setting up x11proto-xext-dev (7.2.0-3) ...
Setting up libxext-dev (2:1.3.0-3build1) ...
Setting up libgl1-mesa-dev (8.0.2-0ubuntu3.1) ...
Setting up libglu1-mesa-dev (8.0.2-0ubuntu3.1) ...
Setting up libgsm1 (1.0.13-3) ...
Setting up libgsm1-dev (1.0.13-3) ...
Setting up libice-dev (2:1.0.7-2build1) ...
Setting up libid3tag0 (0.15.1b-10build2) ...
Setting up libimlib2 (1.4.4-1build1) ...
Setting up libjpeg-turbo8-dev (1.1.90+svn733-0ubuntu4.1) ...
Setting up libjpeg8-dev (8c-2ubuntu7) ...
Setting up libjpeg-dev (8c-2ubuntu7) ...
Setting up libtiff4-dev (3.9.5-2ubuntu1.2) ...
Setting up libltdl-dev (2.4.2-1ubuntu1) ...
Setting up libimlib2-dev (1.4.4-1build1) ...
Setting up libjack-dev (1:0.121.0+svn4538-3ubuntu1) ...
Setting up libogg-dev (1.2.2~dfsg-1ubuntu1) ...
Setting up liborc-0.4-dev (1:0.4.16-1ubuntu2) ...
Setting up libpulse-dev (1:1.1-0ubuntu15.1) ...
Setting up libraw1394-dev (2.0.7-1ubuntu1) ...
Setting up libschroedinger-1.0-0 (1.0.11-1) ...
Setting up libschroedinger-dev (1.0.11-1) ...
Setting up libsm-dev (2:1.2.0-2build1) ...
Setting up libxt-dev (1:1.1.1-2build1) ...
Setting up libsdl1.2-dev (1.2.14-6.4ubuntu3) ...
Setting up libspeex-dev (1.2~rc1-3ubuntu2) ...
Setting up libtheora-dev (1.1.1+dfsg.1-3ubuntu2) ...
Setting up libva-dev (1.0.15-4) ...
Setting up libvdpau-dev (0.4.1-3ubuntu1) ...
Setting up libvorbis-dev (1.3.2-1ubuntu3) ...
Setting up libvpx1 (1.0.0-1) ...
Setting up libvpx-dev (1.0.0-1) ...
Setting up x11proto-fixes-dev (1:5.0-2ubuntu1) ...
Setting up libxfixes-dev (1:5.0-4ubuntu4) ...
Setting up x11proto-video-dev (2.3.1-2) ...
Setting up libxv-dev (2:1.0.6-2build1) ...
Setting up libxvmc-dev (2:1.0.6-1ubuntu2) ...
Setting up texi2html (1.82-1ubuntu1) ...
Setting up yasm (1.1.0-1) ...
Setting up libdc1394-22-dev (2.2.0-2) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
share|improve this answer
    
My problem is that the build dependencies won't install, because of libjack0. That's the real error. Whether I use libav or ffmpeg doesn't matter, both resolve to the same thing. I know how to build the source, of course, I've done it before. If you use Ubuntu 12.04, could you please check if sudo apt-get build-dep ffmpeg fails for you in the same way. –  sashoalm Aug 12 '12 at 9:58

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.